Bug 1305390 - Review Request: dreamchess-tools - DreamChess Tools
Review Request: dreamchess-tools - DreamChess Tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 1140403 1305382
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-07 17:41 EST by Raphael Groner
Modified: 2016-03-31 20:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 17:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2016-03-08 14:42:00 EST
1.  SHOULD replace multiline/complicated:

libtoolize --force
aclocal
autoheader
automake --force-missing --add-missing
autoconf


with:

autoreconf --force --install


2. FTBFS,
checking for SDL_ttf.h... no
configure: error: Cannot find
        SDL_ttf header file

Hrm, trying to figure out what satisfies this (apparently not SDL2_ttf-devel)
Comment 2 Rex Dieter 2016-03-08 14:50:13 EST
2. MUST add
BuildRequires: SDL_ttf-devel

otherwise,

naming: ok

license: ok

sources: ok
c46192e1b07fa437f9ba7467cde3956f  dreamchess-tools-f8f32aa6fed41d82b4577dbce6f7eb106a9eb63e.tar.gz

3. scriptlets: NOT ok, remove needless icon scriptlets (package includes no icons)

4.  SHOULD improve %description, really no idea what this package is for or what it does.


APPROVED.  

(I'll leave the MUST FTBFS fix to you, since it won't build without it)
Comment 3 Raphael Groner 2016-03-22 16:06:11 EDT
Thanks for the review!

For completeness:

Spec URL: https://raphgro.fedorapeople.org/review/chess/dreamchess/dreamchess-tools.spec
SRPM URL: https://raphgro.fedorapeople.org/review/chess/dreamchess/dreamchess-tools-0-0.2.20141101gitf8f32aa.fc23.src.rpm

%changelog
* Tue Mar 22 2016 Raphael Groner <projects.rg@smart.ms> - 0-0.2.20141101gitf8f32aa
- add BR: pkgconfig(SDL_ttf), remove icon scriptlets, use autoreconf

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13428424
Comment 4 Gwyn Ciesla 2016-03-22 16:47:32 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/dreamchess-tools
Comment 5 Fedora Update System 2016-03-22 18:38:03 EDT
dreamchess-tools-0-0.2.20141101gitf8f32aa.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-062d911117
Comment 6 Fedora Update System 2016-03-22 19:01:59 EDT
dreamchess-tools-0-0.2.20141101gitf8f32aa.fc23 tristripper-1.10-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0b0250e202
Comment 7 Fedora Update System 2016-03-23 15:56:26 EDT
dreamchess-tools-0-0.2.20141101gitf8f32aa.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-062d911117
Comment 8 Fedora Update System 2016-03-23 21:53:08 EDT
dreamchess-tools-0-0.2.20141101gitf8f32aa.fc23, tristripper-1.10-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0b0250e202
Comment 9 Fedora Update System 2016-03-27 17:58:09 EDT
dreamchess-tools-0-0.2.20141101gitf8f32aa.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-03-31 20:26:44 EDT
dreamchess-tools-0-0.2.20141101gitf8f32aa.fc23, tristripper-1.10-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.